<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.PromoRecordMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.PromoRecord">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="courseId" column="courseId" jdbcType="BIGINT"/>
            <result property="subUserId" column="subUserId" jdbcType="BIGINT"/>
            <result property="nickName" column="nickName" jdbcType="VARCHAR"/>
            <result property="phone" column="phone" jdbcType="VARCHAR"/>
            <result property="benefits" column="benefits" jdbcType="DECIMAL"/>
            <result property="bindTime" column="bindTime" jdbcType="VARCHAR"/>
            <result property="promoType" column="promoType" jdbcType="OTHER"/>
            <result property="userId" column="userId" jdbcType="BIGINT"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,courseId,subUserId,
        nickName,phone,benefits,
        bindTime,promoType,userId,
        isDelete,createTime,updateTime
    </sql>
</mapper>
